{% extends 'base.html' %}
{% load static %}

{% block sidebar %}
{% endblock sidebar %}

{% block content-title %}
<div class="row">
  <nav title="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item" aria-current="page"><a href="{% url 'devices:index' %}">Devices</a></li>
    </ol>
  </nav>
</div>
{% endblock content-title %}

{% block content %}
<div class="row">
  <div class="col-lg-12">
    <table id="devices" class="table table-light table-striped table-borderless table-hover table-editable">
      <thead>
        <tr>
          <th scope="col">name</th>
          <th scope="col">network</th>
          <th scope="col">salt_key_status</th>
          <th scope="col">serial</th>
        </tr>
      </thead>
      <tbody>
        {% for device in devices %}
        <tr>
          <th scope="row" class="center-row">
            <span class="name-field">{{device.name}}</span>

              <button class="btn btn-outline-success copy-button" data-device-id="{{ device.name }}"
                      data-url="{% url 'devices:snapshot-device' device=device.name %}">Snap Config</button>
              <div class="tooltip">Click to Snap Config</div>
          </th>
          <th scope="row"><span contenteditable="true" class="network-field">{{device.network}}</span></th>
          {% if device.salt_key_status == "unaccepted" %}
          <th scope="row"><span class="text-info">{{device.salt_key_status}}</span>
            <button class="btn btn-outline-success float-end" data-bs-toggle="modal" data-bs-target="#saltKeyModal"
              data-salt-key-title="Accept Key" data-salt-key-body='Are you sure you want to accept: '
              data-device-id="{{device.name}}" data-salt-key-button="Accept"
              data-salt-key-url="{% url 'devices:accept' device=device.name %}"><i
                class="fa-solid fa-check"></i></button>
            <button class="btn btn-outline-danger float-end" data-bs-toggle="modal" data-bs-target="#saltKeyModal"
              data-salt-key-title="Reject Key" data-salt-key-body='Are you sure you want to reject: '
              data-device-id="{{device.name}}" data-salt-key-button="Reject"
              data-salt-key-url="{% url 'devices:reject' device=device.name %}"><i
                class="fa-solid fa-xmark"></i></button>
          </th>
          {% elif device.salt_key_status == "accepted" %}
          <th scope="row" class="text-success">{{device.salt_key_status}}</th>
          {% elif device.salt_key_status == "denied" %}
          <th scope="row" class="text-warning">{{device.salt_key_status}}</th>
          {% elif device.salt_key_status == "rejected" %}
          <th scope="row" class="text-danger">{{device.salt_key_status}}</th>
          {% else %}
          <th scope="row">{{device.salt_key_status}}</th>
          {% endif %}
          <th scope="row">{{device.serial}}</th>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>

<div class="modal fade" id="saltKeyModal" tabindex="-1" aria-labelledby="saltKeyModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="saltKeyModalLabel"></h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <span id="modal-body"></span>
        <br><span id="deviceId" name="deviceId" value=""></span>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <a id="results" href="">
          <button type="button" class="btn btn-primary" id="salt-key-button"></button></a>
      </div>
    </div>
  </div>
</div>

{% endblock content %}

{% block javascript %}
<script src="{% static 'devices/js/devices.js' %}"></script>
{% endblock javascript %}